<?xml version="1.0" encoding="UTF-8" ?>

<PMML
	version="4.3"
	xmlns="http://www.dmg.org/PMML-4_3"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.dmg.org/PMML-4_3 pmml-4-3.xsd">
	<Header
		copyright="(C) Copyright IBM Corp. 1994, 2020">
		<Application
			name="IBM SPSS Modeler"
			version="18.2.2.0"/>
	</Header>
	<MiningBuildTask>
		<Extension
			extender="spss.com"
			name="SPSS Model Settings">
			<Parameters>
				<Parameter
					name="CaseIDVar"
					type="fieldName"
					value="$casecount"/>
				<Parameter
					name="VFoldVar"
					type="fieldName"
					value="$crossvalidation"/>
				<Parameter
					name="FocalVar"
					type="fieldName"
					value="$focalvariable"/>
				<Parameter
					name="RescaleMethod"
					type="enum"
					value="true"/>
				<Parameter
					name="DistMetric"
					type="enum"
					value="Euclidean"/>
				<Parameter
					name="ComputePredValFunc"
					type="enum"
					value="Mean"/>
				<Parameter
					name="use_caselabels"
					type="boolean"
					value="false"/>
				<Parameter
					name="IsFeatureImportance"
					type="boolean"
					value="false"/>
				<Parameter
					name="IsFeatureSelection"
					type="boolean"
					value="false"/>
				<Parameter
					name="IsAutoFeatureSelection"
					type="boolean"
					value="false"/>
				<Parameter
					name="IsFeatureWeight"
					type="boolean"
					value="false"/>
				<Parameter
					name="IsAutoKSelection"
					type="boolean"
					value="true"/>
				<Parameter
					name="NSpecifiedFeatures"
					type="integer"
					value="0"/>
				<Parameter
					name="MinK"
					type="integer"
					value="3"/>
				<Parameter
					name="MaxK"
					type="integer"
					value="5"/>
				<Parameter
					name="VFoldValue"
					type="integer"
					value="10"/>
				<Parameter
					name="SpecifiedErrRange"
					type="double"
					value="0.01"/>
				<Parameter
					name="TempFileDir"
					type="string"
					value="D:\SPSS_M~1\4144-4B54-DE36-1-ext-1"/>
				<Parameter
					name="target">
					<ListValue>
						<Value
							value="class"/>
					</ListValue>
				</Parameter>
				<Parameter
					name="inputs">
					<ListValue>
						<Value
							value="sepal_length"/>
						<Value
							value="sepal_width"/>
						<Value
							value="petal_length"/>
						<Value
							value="petal_width"/>
					</ListValue>
				</Parameter>
			</Parameters>
		</Extension>
	</MiningBuildTask>
	<DataDictionary
		numberOfFields="8">
		<DataField
			name="sepal_length"
			optype="continuous"
			dataType="double">
			<Interval
				closure="openClosed"
				leftMargin="4.3"
				rightMargin="7.9"/>
		</DataField>
		<DataField
			name="sepal_width"
			optype="continuous"
			dataType="double">
			<Interval
				closure="openClosed"
				leftMargin="2"
				rightMargin="4.4"/>
		</DataField>
		<DataField
			name="petal_length"
			optype="continuous"
			dataType="double">
			<Interval
				closure="openClosed"
				leftMargin="1"
				rightMargin="6.9"/>
		</DataField>
		<DataField
			name="petal_width"
			optype="continuous"
			dataType="double">
			<Interval
				closure="openClosed"
				leftMargin="0.1"
				rightMargin="2.5"/>
		</DataField>
		<DataField
			name="class"
			optype="categorical"
			dataType="string">
			<Value
				value="Iris-setosa"
				property="valid"/>
			<Value
				value="Iris-versicolor"
				property="valid"/>
			<Value
				value="Iris-virginica"
				property="valid"/>
		</DataField>
		<DataField
			name="$casecount"
			optype="continuous"
			dataType="integer">
			<Interval
				closure="openClosed"
				leftMargin="2.22507e-308"
				rightMargin="1.79769e+308"/>
		</DataField>
		<DataField
			name="$focalvariable"
			optype="continuous"
			dataType="double">
			<Interval
				closure="openClosed"
				leftMargin="0"
				rightMargin="1"/>
		</DataField>
		<DataField
			name="$crossvalidation"
			optype="categorical"
			dataType="double">
			<Value
				value="0"
				property="valid"/>
			<Value
				value="1"
				property="valid"/>
			<Value
				value="2"
				property="valid"/>
			<Value
				value="3"
				property="valid"/>
			<Value
				value="4"
				property="valid"/>
			<Value
				value="5"
				property="valid"/>
			<Value
				value="6"
				property="valid"/>
			<Value
				value="7"
				property="valid"/>
			<Value
				value="8"
				property="valid"/>
			<Value
				value="9"
				property="valid"/>
		</DataField>
	</DataDictionary>
	<NearestNeighborModel
		functionName="classification"
		numberOfNeighbors="5"
		continuousScoringMethod="average"
		categoricalScoringMethod="majorityVote">
		<Extension
			extender="spss.com"
			name="SPSS Models">
			<SimpleTable
				name="KSelection">
				<RowNames/>
				<ColumnNames>K;error</ColumnNames>
				<Row>3;0.0498001998001998</Row>
				<Row>4;0.0498001998001998</Row>
				<Row>5;0.0421078921078921</Row>
			</SimpleTable>
			<SimpleTable
				name="neighborsDistances">
				<RowNames/>
				<ColumnNames>ID;$casecount;neighbor1;neighbor2;neighbor3;neighbor4;neighbor5;distance1;distance2;distance3;distance4;distance5;prediction1;prediction2;prediction3;prediction4;prediction5</ColumnNames>
				<Row>1;1;14;30;4;22;31;0.0833333333333333;0.0899641013519445;0.100154202096222;0.100154202096222;0.105735326571347;0;0;0;0;0</Row>
				<Row>2;2;21;24;9;29;3;0.0876515835770262;0.120943145932314;0.122629458029086;0.122629458029086;0.203156471414873;0;0;0;0;0</Row>
				<Row>3;3;23;24;9;29;36;0.101694915254237;0.142733037472399;0.175587437624987;0.175587437624987;0.18939724736606;0;0;0;0;0</Row>
				<Row>4;4;1;31;14;7;30;0.100154202096222;0.122629458029086;0.130289326661762;0.170079019474468;0.178922588340552;0;0;0;0;0</Row>
				<Row>5;5;13;34;15;16;10;0.135593220338983;0.198289189248169;0.204124145231932;0.215088463235806;0.245258916058172;0;0;0;0;0</Row>
				<Row>6;6;11;3;23;20;18;0.15455259236669;0.197377144226294;0.205924797743697;0.219128958942566;0.230451174056715;0;0;0;0;0</Row>
				<Row>7;7;30;36;1;22;11;0.0555555555555552;0.0899641013519447;0.105735326571347;0.116167009516317;0.116167009516318;0;0;0;0;0</Row>
				<Row>8;8;12;24;2;3;23;0.165279050186471;0.285931590030962;0.290008514136404;0.302368769659494;0.308016490026511;0;0;0;0;0</Row>
				<Row>9;9;29;24;2;21;23;0;0.105735326571347;0.122629458029086;0.134626905667455;0.16548009846762;0;0;0;0;0</Row>
				<Row>10;10;28;35;16;15;1;0.18830979231399;0.189397247366061;0.204124145231932;0.215088463235806;0.238127383228335;0;0;0;0;0</Row>
				<Row>11;11;20;7;6;36;30;0.101694915254237;0.116167009516318;0.15455259236669;0.15455259236669;0.170079019474467;0;0;0;0;0</Row>
				<Row>12;12;8;3;23;24;2;0.165279050186471;0.297827665978295;0.335905217973862;0.346087792195148;0.358325845208132;0;0;0;0;0</Row>
				<Row>13;13;5;16;15;10;35;0.135593220338983;0.215088463235806;0.245055479572612;0.245258916058172;0.269892304055834;0;0;0;0;0</Row>
				<Row>14;14;31;1;30;4;22;0.0650808331285401;0.0833333333333333;0.122629458029086;0.130289326661762;0.130289326661762;0;0;0;0;0</Row>
				<Row>15;15;5;10;13;28;16;0.204124145231932;0.215088463235806;0.245055479572612;0.316505363080448;0.340158038948935;0;0;0;0;0</Row>
				<Row>16;16;35;34;4;10;5;0.0899641013519445;0.159153906161113;0.197377144226293;0.204124145231932;0.215088463235806;0;0;0;0;0</Row>
				<Row>17;17;22;28;25;30;1;0.150623818836571;0.168571603775449;0.179928202703889;0.179928202703889;0.212283013947864;0;0;0;0;0</Row>
				<Row>18;18;6;4;31;11;1;0.230451174056715;0.260323332514162;0.271318006639512;0.285466074944799;0.320141312038139;0;0;0;0;0</Row>
				<Row>19;19;33;25;14;30;36;0.197377144226294;0.215088463235806;0.25670491102455;0.272104437293695;0.275550858357678;0;0;0;0;0</Row>
				<Row>20;20;11;7;23;30;6;0.101694915254237;0.175303167154053;0.202992742036336;0.214856461805722;0.219128958942566;0;0;0;0;0</Row>
				<Row>21;21;2;9;29;24;23;0.0876515835770262;0.134626905667455;0.134626905667455;0.138888888888889;0.235702260395516;0;0;0;0;0</Row>
				<Row>22;22;30;1;7;14;36;0.0650808331285407;0.100154202096222;0.116167009516317;0.130289326661762;0.138888888888889;0;0;0;0;0</Row>
				<Row>23;23;24;3;9;29;11;0.100154202096222;0.101694915254237;0.16548009846762;0.16548009846762;0.175682092231576;0;0;0;0;0</Row>
				<Row>24;24;23;9;29;2;21;0.100154202096222;0.105735326571347;0.105735326571347;0.120943145932314;0.138888888888889;0;0;0;0;0</Row>
				<Row>25;25;17;22;28;14;19;0.179928202703889;0.203156471414873;0.205924797743697;0.206919698806772;0.215088463235806;0;0;0;0;0</Row>
				<Row>26;26;27;35;16;5;13;0.206919698806772;0.27144052623945;0.305555555555556;0.327444403129138;0.327444403129138;0;0;0;0;0</Row>
				<Row>27;27;26;13;5;15;35;0.206919698806772;0.307430142664123;0.322034242464106;0.375157420766894;0.406312942829746;0;0;0;0;0</Row>
				<Row>28;28;17;10;22;25;1;0.168571603775449;0.18830979231399;0.18939724736606;0.205924797743697;0.224792818250498;0;0;0;0;0</Row>
				<Row>29;29;9;24;2;21;23;0;0.105735326571347;0.122629458029086;0.134626905667455;0.16548009846762;0;0;0;0;0</Row>
				<Row>30;30;7;22;1;36;14;0.0555555555555552;0.0650808331285407;0.0899641013519445;0.105735326571347;0.122629458029086;0;0;0;0;0</Row>
				<Row>31;31;14;1;4;7;30;0.0650808331285401;0.105735326571347;0.122629458029086;0.135960542950383;0.146873036982454;0;0;0;0;0</Row>
				<Row>32;32;8;12;2;21;24;0.511057686846749;0.620481760343022;0.630677440027169;0.659336463300756;0.699648856538216;0;0;0;0;0</Row>
				<Row>33;33;19;14;31;25;34;0.197377144226294;0.26492036558853;0.269892304055834;0.291982933335535;0.322034242464106;0;0;0;0;0</Row>
				<Row>34;34;16;35;5;13;10;0.159153906161113;0.195242499385621;0.198289189248169;0.275843516103766;0.284403799907624;0;0;0;0;0</Row>
				<Row>35;35;16;4;10;34;5;0.0899641013519445;0.18830979231399;0.189397247366061;0.195242499385621;0.2522877228238;0;0;0;0;0</Row>
				<Row>36;36;7;30;22;11;1;0.0899641013519447;0.105735326571347;0.138888888888889;0.15455259236669;0.175682092231577;0;0;0;0;0</Row>
				<Row>37;37;38;47;43;41;40;0.146873036982454;0.212283013947863;0.34637588770214;0.431227074896112;0.443131069177433;1;1;1;1;1</Row>
				<Row>38;38;37;47;43;40;90;0.146873036982454;0.219128958942566;0.306064027814279;0.349606309779943;0.367074064411755;1;1;1;1;1</Row>
				<Row>39;39;63;56;50;57;64;0.166666666666667;0.198289189248169;0.244522126598516;0.282464688470986;0.296361208403429;1;1;1;1;1</Row>
				<Row>40;40;43;92;45;65;53;0.194444444444444;0.202664886457443;0.253812332296699;0.290008514136404;0.291869037071273;1;2;1;1;1</Row>
				<Row>41;41;60;51;65;47;96;0.198289189248169;0.291982933335535;0.322137473569502;0.339529273249752;0.34526026508009;1;1;1;1;1</Row>
				<Row>42;42;66;69;57;56;50;0.100154202096222;0.191249637097175;0.359856405407778;0.383122607980811;0.454412675818346;1;1;1;1;1</Row>
				<Row>43;43;40;47;45;65;92;0.194444444444444;0.205924797743697;0.291982933335535;0.301743902533339;0.302038701477911;1;1;1;1;1</Row>
				<Row>44;44;65;48;68;45;62;0.194102150577179;0.195242499385622;0.216951379886296;0.234439640615014;0.238127383228335;1;1;1;1;1</Row>
				<Row>45;45;65;54;92;44;40;0.0899641013519447;0.186338998124982;0.211234678268343;0.234439640615014;0.253812332296699;1;1;1;1;1</Row>
				<Row>46;46;62;68;67;52;44;0.188869853695361;0.210840799911574;0.24154240165288;0.320141312038139;0.322284692708584;1;1;1;1;1</Row>
				<Row>47;47;43;37;38;40;41;0.205924797743697;0.212283013947863;0.219128958942566;0.293915810747337;0.339529273249752;1;1;1;1;1</Row>
				<Row>48;48;59;44;62;68;67;0.111111111111111;0.195242499385622;0.214856461805722;0.219432216786586;0.275550858357678;1;1;1;1;1</Row>
				<Row>49;49;55;50;64;68;67;0.226711903859936;0.227297781742458;0.269892304055834;0.307430142664122;0.307430142664122;1;1;1;1;1</Row>
				<Row>50;50;56;57;63;55;64;0.105735326571347;0.146873036982454;0.178922588340552;0.188044755427721;0.213781865069135;1;1;1;1;1</Row>
				<Row>51;51;96;103;60;41;48;0.175682092231577;0.195242499385621;0.262647731947581;0.291982933335535;0.358325845208132;2;2;2;2;1</Row>
				<Row>52;52;68;54;45;44;65;0.24682694513424;0.251495733040843;0.26494253750992;0.26925381133491;0.275843516103765;1;1;1;1;1</Row>
				<Row>53;53;92;58;93;61;40;0.259029690094541;0.259029690094541;0.287298150350017;0.290315229958778;0.291869037071273;2;2;2;2;1</Row>
				<Row>54;54;45;65;52;68;43;0.186338998124982;0.238127383228335;0.251495733040843;0.303313339846328;0.303642022460113;1;1;1;1;1</Row>
				<Row>55;55;50;57;49;56;63;0.188044755427721;0.211470653142694;0.226711903859936;0.239603332662829;0.332441725189924;1;1;1;1;1</Row>
				<Row>56;56;57;50;63;39;55;0.0899641013519445;0.105735326571347;0.198289189248169;0.198289189248169;0.239603332662829;1;1;1;1;1</Row>
				<Row>57;57;56;50;55;63;39;0.0899641013519445;0.146873036982454;0.211470653142694;0.282464688470986;0.282464688470986;1;1;1;1;1</Row>
				<Row>58;58;92;88;93;53;71;0.204124145231931;0.245258916058172;0.257945767877225;0.259029690094541;0.273579383383225;2;2;2;2;2</Row>
				<Row>59;59;48;62;68;44;67;0.111111111111111;0.241886291864627;0.269892304055834;0.295807960703777;0.317205979714041;1;1;1;1;1</Row>
				<Row>60;60;41;51;44;65;96;0.198289189248169;0.262647731947581;0.362606992620397;0.378317860706567;0.386303953742976;1;1;1;1;1</Row>
				<Row>61;61;53;85;54;52;39;0.290315229958778;0.322284692708583;0.450824899885163;0.45204237801931;0.46466803806527;1;2;1;1;1</Row>
				<Row>62;62;67;68;46;48;44;0.105735326571347;0.105735326571347;0.188869853695361;0.214856461805722;0.238127383228335;1;1;1;1;1</Row>
				<Row>63;63;39;50;64;56;57;0.166666666666667;0.178922588340552;0.179650800974515;0.198289189248169;0.282464688470986;1;1;1;1;1</Row>
				<Row>64;64;63;50;49;56;68;0.179650800974515;0.213781865069135;0.269892304055834;0.275843516103765;0.293915810747336;1;1;1;1;1</Row>
				<Row>65;65;45;44;54;92;52;0.0899641013519447;0.194102150577179;0.238127383228335;0.275309423058911;0.275843516103765;1;1;1;1;1</Row>
				<Row>66;66;42;69;57;56;50;0.100154202096222;0.219432216786586;0.320141312038139;0.346087792195148;0.432667027271087;1;1;1;1;1</Row>
				<Row>67;67;62;68;46;44;48;0.105735326571347;0.117851130197758;0.24154240165288;0.273579383383225;0.275550858357678;1;1;1;1;1</Row>
				<Row>68;68;62;67;46;44;48;0.105735326571347;0.117851130197758;0.210840799911574;0.216951379886296;0.219432216786586;1;1;1;1;1</Row>
				<Row>69;69;42;66;57;56;55;0.191249637097175;0.219432216786586;0.345799456667558;0.360373758896803;0.392080829919626;1;1;1;1;1</Row>
				<Row>70;70;95;100;102;99;74;0.179650800974515;0.244386112203515;0.281382417946777;0.336202039162467;0.376751986541305;2;2;2;2;2</Row>
				<Row>71;71;87;81;103;58;88;0.175587437624986;0.197377144226294;0.26931554763424;0.273579383383225;0.297827665978295;2;2;2;2;2</Row>
				<Row>72;72;97;86;99;91;89;0.219128958942565;0.26925381133491;0.288675134594813;0.296529448257349;0.307430142664123;2;2;2;2;2</Row>
				<Row>73;73;83;80;88;103;92;0.142965795015481;0.219432216786586;0.289971441819853;0.291641111101109;0.313323828705873;2;2;2;2;2</Row>
				<Row>74;74;101;99;97;86;79;0.246287528330316;0.2522877228238;0.285757110742966;0.291982933335535;0.334456596360219;2;2;2;2;2</Row>
				<Row>75;75;94;91;77;72;84;0.244113856061729;0.310851430362422;0.327969629707979;0.365330197383774;0.390278316628713;2;2;2;2;2</Row>
				<Row>76;76;63;59;39;81;64;0.500948699382167;0.527777777777778;0.527946377192289;0.5373622999318;0.541124534422793;1;1;1;1;1</Row>
				<Row>77;77;91;90;89;72;75;0.146873036982454;0.257945767877225;0.275550858357678;0.316505363080448;0.327969629707979;2;2;2;2;2</Row>
				<Row>78;78;80;73;88;83;53;0.302038701477911;0.406312942829745;0.412598104605752;0.443056030217424;0.452724439528596;2;2;2;2;2</Row>
				<Row>79;79;97;83;101;74;98;0.271318006639512;0.271921085900766;0.322137473569503;0.334456596360219;0.344713156833079;2;2;2;2;2</Row>
				<Row>80;80;88;73;83;78;71;0.168571603775449;0.219432216786586;0.277717922626547;0.302038701477911;0.340158038948935;2;2;2;2;2</Row>
				<Row>81;81;71;87;88;58;82;0.197377144226294;0.258332179259001;0.409653221340056;0.409653221340056;0.421718657343751;2;2;2;2;2</Row>
				<Row>82;82;87;81;71;74;103;0.357845176681104;0.421718657343751;0.424918292799399;0.512928633193836;0.529966223009414;2;2;2;2;2</Row>
				<Row>83;83;73;79;80;88;97;0.142965795015481;0.271921085900766;0.277717922626547;0.340900428522188;0.34637588770214;2;2;2;2;2</Row>
				<Row>84;84;75;94;91;77;72;0.390278316628713;0.429712923611444;0.490110959145223;0.57171780653987;0.604077402955822;2;2;2;2;2</Row>
				<Row>85;85;53;61;93;58;39;0.302368769659494;0.322284692708583;0.4031245446049;0.426268284819753;0.47622707274076;1;1;1;1;1</Row>
				<Row>86;86;99;97;100;98;101;0.0876515835770265;0.212283013947863;0.216951379886296;0.219799607822013;0.262394424446454;2;2;2;2;2</Row>
				<Row>87;87;71;81;103;96;82;0.175587437624986;0.258332179259001;0.296529448257348;0.32571055661823;0.357845176681104;2;2;2;2;2</Row>
				<Row>88;88;80;58;92;73;71;0.168571603775449;0.245258916058172;0.272104437293695;0.289971441819853;0.297827665978295;2;2;2;2;2</Row>
				<Row>89;89;90;77;72;91;97;0.245258916058172;0.275550858357678;0.307430142664123;0.362698676114926;0.372276302464296;2;2;2;2;2</Row>
				<Row>90;90;89;77;91;38;72;0.245258916058172;0.257945767877225;0.336103127891857;0.367074064411755;0.421718657343751;2;2;2;2;2</Row>
				<Row>91;91;77;72;75;90;89;0.146873036982454;0.296529448257349;0.310851430362422;0.336103127891857;0.362698676114926;2;2;2;2;2</Row>
				<Row>92;92;40;58;45;53;88;0.202664886457443;0.204124145231931;0.211234678268343;0.259029690094541;0.272104437293695;1;1;1;1;1</Row>
				<Row>93;93;58;92;53;54;45;0.257945767877225;0.275309423058911;0.287298150350017;0.385528543239867;0.394432126096618;1;2;1;1;1</Row>
				<Row>94;94;75;72;91;84;77;0.244113856061729;0.378794494732121;0.408248290463863;0.429712923611444;0.484287778036378;2;2;2;2;2</Row>
				<Row>95;95;102;70;100;99;86;0.120943145932313;0.179650800974515;0.253812332296699;0.349606309779943;0.383382874449227;2;2;2;2;2</Row>
				<Row>96;96;103;51;88;71;58;0.115880436406034;0.175682092231577;0.302368769659494;0.303532501135145;0.31720597971404;2;2;2;2;2</Row>
				<Row>97;97;98;86;72;101;99;0.195242499385621;0.212283013947863;0.219128958942565;0.227297781742458;0.257945767877225;2;2;2;2;2</Row>
				<Row>98;98;101;97;86;99;100;0.142965795015481;0.195242499385621;0.219799607822013;0.289089864583861;0.330558100372941;2;2;2;2;2</Row>
				<Row>99;99;86;100;74;97;72;0.0876515835770265;0.205924797743697;0.2522877228238;0.257945767877225;0.288675134594813;2;2;2;2;2</Row>
				<Row>100;100;99;86;70;95;98;0.205924797743697;0.216951379886296;0.244386112203515;0.253812332296699;0.330558100372941;2;2;2;2;2</Row>
				<Row>101;101;98;97;74;86;99;0.142965795015481;0.227297781742458;0.246287528330316;0.262394424446454;0.295245417956267;2;2;2;2;2</Row>
				<Row>102;102;95;70;100;79;74;0.120943145932313;0.281382417946777;0.349606309779943;0.358325845208132;0.405239256162615;2;2;2;2;2</Row>
				<Row>103;103;96;51;71;73;87;0.115880436406034;0.195242499385621;0.26931554763424;0.291641111101109;0.296529448257348;2;2;2;2;2</Row>
			</SimpleTable>
			<SimpleTable
				name="predictionProbability">
				<RowNames/>
				<ColumnNames>ID;probability-Iris-setosa;probability-Iris-versicolor;probability-Iris-virginica</ColumnNames>
				<Row>1;0.75;0.125;0.125</Row>
				<Row>2;0.75;0.125;0.125</Row>
				<Row>3;0.75;0.125;0.125</Row>
				<Row>4;0.75;0.125;0.125</Row>
				<Row>5;0.75;0.125;0.125</Row>
				<Row>6;0.75;0.125;0.125</Row>
				<Row>7;0.75;0.125;0.125</Row>
				<Row>8;0.75;0.125;0.125</Row>
				<Row>9;0.75;0.125;0.125</Row>
				<Row>10;0.75;0.125;0.125</Row>
				<Row>11;0.75;0.125;0.125</Row>
				<Row>12;0.75;0.125;0.125</Row>
				<Row>13;0.75;0.125;0.125</Row>
				<Row>14;0.75;0.125;0.125</Row>
				<Row>15;0.75;0.125;0.125</Row>
				<Row>16;0.75;0.125;0.125</Row>
				<Row>17;0.75;0.125;0.125</Row>
				<Row>18;0.75;0.125;0.125</Row>
				<Row>19;0.75;0.125;0.125</Row>
				<Row>20;0.75;0.125;0.125</Row>
				<Row>21;0.75;0.125;0.125</Row>
				<Row>22;0.75;0.125;0.125</Row>
				<Row>23;0.75;0.125;0.125</Row>
				<Row>24;0.75;0.125;0.125</Row>
				<Row>25;0.75;0.125;0.125</Row>
				<Row>26;0.75;0.125;0.125</Row>
				<Row>27;0.75;0.125;0.125</Row>
				<Row>28;0.75;0.125;0.125</Row>
				<Row>29;0.75;0.125;0.125</Row>
				<Row>30;0.75;0.125;0.125</Row>
				<Row>31;0.75;0.125;0.125</Row>
				<Row>32;0.75;0.125;0.125</Row>
				<Row>33;0.75;0.125;0.125</Row>
				<Row>34;0.75;0.125;0.125</Row>
				<Row>35;0.75;0.125;0.125</Row>
				<Row>36;0.75;0.125;0.125</Row>
				<Row>37;0.125;0.75;0.125</Row>
				<Row>38;0.125;0.625;0.25</Row>
				<Row>39;0.125;0.75;0.125</Row>
				<Row>40;0.125;0.625;0.25</Row>
				<Row>41;0.125;0.625;0.25</Row>
				<Row>42;0.125;0.75;0.125</Row>
				<Row>43;0.125;0.625;0.25</Row>
				<Row>44;0.125;0.75;0.125</Row>
				<Row>45;0.125;0.625;0.25</Row>
				<Row>46;0.125;0.75;0.125</Row>
				<Row>47;0.125;0.75;0.125</Row>
				<Row>48;0.125;0.75;0.125</Row>
				<Row>49;0.125;0.75;0.125</Row>
				<Row>50;0.125;0.75;0.125</Row>
				<Row>51;0.125;0.5;0.375</Row>
				<Row>52;0.125;0.75;0.125</Row>
				<Row>53;0.125;0.5;0.375</Row>
				<Row>54;0.125;0.75;0.125</Row>
				<Row>55;0.125;0.75;0.125</Row>
				<Row>56;0.125;0.75;0.125</Row>
				<Row>57;0.125;0.75;0.125</Row>
				<Row>58;0.125;0.25;0.625</Row>
				<Row>59;0.125;0.75;0.125</Row>
				<Row>60;0.125;0.625;0.25</Row>
				<Row>61;0.125;0.625;0.25</Row>
				<Row>62;0.125;0.75;0.125</Row>
				<Row>63;0.125;0.75;0.125</Row>
				<Row>64;0.125;0.75;0.125</Row>
				<Row>65;0.125;0.625;0.25</Row>
				<Row>66;0.125;0.75;0.125</Row>
				<Row>67;0.125;0.75;0.125</Row>
				<Row>68;0.125;0.75;0.125</Row>
				<Row>69;0.125;0.75;0.125</Row>
				<Row>70;0.125;0.125;0.75</Row>
				<Row>71;0.125;0.25;0.625</Row>
				<Row>72;0.125;0.125;0.75</Row>
				<Row>73;0.125;0.125;0.75</Row>
				<Row>74;0.125;0.125;0.75</Row>
				<Row>75;0.125;0.125;0.75</Row>
				<Row>76;0.125;0.625;0.25</Row>
				<Row>77;0.125;0.125;0.75</Row>
				<Row>78;0.125;0.25;0.625</Row>
				<Row>79;0.125;0.125;0.75</Row>
				<Row>80;0.125;0.125;0.75</Row>
				<Row>81;0.125;0.25;0.625</Row>
				<Row>82;0.125;0.125;0.75</Row>
				<Row>83;0.125;0.125;0.75</Row>
				<Row>84;0.125;0.125;0.75</Row>
				<Row>85;0.125;0.625;0.25</Row>
				<Row>86;0.125;0.125;0.75</Row>
				<Row>87;0.125;0.125;0.75</Row>
				<Row>88;0.125;0.25;0.625</Row>
				<Row>89;0.125;0.125;0.75</Row>
				<Row>90;0.125;0.25;0.625</Row>
				<Row>91;0.125;0.125;0.75</Row>
				<Row>92;0.125;0.625;0.25</Row>
				<Row>93;0.125;0.625;0.25</Row>
				<Row>94;0.125;0.125;0.75</Row>
				<Row>95;0.125;0.125;0.75</Row>
				<Row>96;0.125;0.375;0.5</Row>
				<Row>97;0.125;0.125;0.75</Row>
				<Row>98;0.125;0.125;0.75</Row>
				<Row>99;0.125;0.125;0.75</Row>
				<Row>100;0.125;0.125;0.75</Row>
				<Row>101;0.125;0.125;0.75</Row>
				<Row>102;0.125;0.125;0.75</Row>
				<Row>103;0.125;0.25;0.625</Row>
			</SimpleTable>
			<Parameter
				name="percentIncorrectlyClassifiedCases"
				type="double"
				value="0.0485436893203883"/>
			<Parameter
				name="selectedFeatures"
				type="integer"
				value="4"/>
		</Extension>
		<MiningSchema>
			<MiningField
				name="sepal_length"
				usageType="active"/>
			<MiningField
				name="sepal_width"
				usageType="active"/>
			<MiningField
				name="petal_length"
				usageType="active"/>
			<MiningField
				name="petal_width"
				usageType="active"/>
			<MiningField
				name="class"
				usageType="predicted"/>
		</MiningSchema>
		<ModelStats>
			<UnivariateStats
				field="sepal_length">
				<NumericInfo
					minimum="4.3"
					maximum="7.9"/>
			</UnivariateStats>
			<UnivariateStats
				field="sepal_width">
				<NumericInfo
					minimum="2"
					maximum="4.4"/>
			</UnivariateStats>
			<UnivariateStats
				field="petal_length">
				<NumericInfo
					minimum="1"
					maximum="6.9"/>
			</UnivariateStats>
			<UnivariateStats
				field="petal_width">
				<NumericInfo
					minimum="0.1"
					maximum="2.5"/>
			</UnivariateStats>
			<UnivariateStats
				field="class">
				<DiscrStats>
					<Array
						type="int"
						n="3">36 33 34</Array>
				</DiscrStats>
			</UnivariateStats>
		</ModelStats>
		<ModelExplanation>
			<PredictiveModelQuality
				targetField="class">
				<ConfusionMatrix>
					<ClassLabels>
						<Array
							type="string"
							n="3">Iris-setosa Iris-versicolor Iris-virginica</Array>
					</ClassLabels>
					<Matrix>
						<Array
							type="int"
							n="3">36 0 0</Array>
						<Array
							type="int"
							n="3">0 32 1</Array>
						<Array
							type="int"
							n="3">0 4 30</Array>
					</Matrix>
				</ConfusionMatrix>
			</PredictiveModelQuality>
		</ModelExplanation>
		<LocalTransformations>
			<DerivedField
				name="norm_sepal_length"
				optype="continuous"
				dataType="double">
				<NormContinuous
					field="sepal_length">
					<LinearNorm
						orig="4.3"
						norm="-1"/>
					<LinearNorm
						orig="7.9"
						norm="1"/>
				</NormContinuous>
			</DerivedField>
			<DerivedField
				name="norm_sepal_width"
				optype="continuous"
				dataType="double">
				<NormContinuous
					field="sepal_width">
					<LinearNorm
						orig="2"
						norm="-1"/>
					<LinearNorm
						orig="4.4"
						norm="1"/>
				</NormContinuous>
			</DerivedField>
			<DerivedField
				name="norm_petal_length"
				optype="continuous"
				dataType="double">
				<NormContinuous
					field="petal_length">
					<LinearNorm
						orig="1"
						norm="-1"/>
					<LinearNorm
						orig="6.9"
						norm="1"/>
				</NormContinuous>
			</DerivedField>
			<DerivedField
				name="norm_petal_width"
				optype="continuous"
				dataType="double">
				<NormContinuous
					field="petal_width">
					<LinearNorm
						orig="0.1"
						norm="-1"/>
					<LinearNorm
						orig="2.5"
						norm="1"/>
				</NormContinuous>
			</DerivedField>
			<DerivedField
				name="class_Iris-setosa"
				optype="continuous"
				dataType="double">
				<NormDiscrete
					field="class"
					value="Iris-setosa"/>
			</DerivedField>
			<DerivedField
				name="class_Iris-versicolor"
				optype="continuous"
				dataType="double">
				<NormDiscrete
					field="class"
					value="Iris-versicolor"/>
			</DerivedField>
			<DerivedField
				name="class_Iris-virginica"
				optype="continuous"
				dataType="double">
				<NormDiscrete
					field="class"
					value="Iris-virginica"/>
			</DerivedField>
		</LocalTransformations>
		<TrainingInstances
			recordCount="103"
			fieldCount="9"
			isTransformed="false">
			<InstanceFields>
				<InstanceField
					field="ID"
					column="ID"/>
				<InstanceField
					field="sepal_length"
					column="sepal_length"/>
				<InstanceField
					field="sepal_width"
					column="sepal_width"/>
				<InstanceField
					field="petal_length"
					column="petal_length"/>
				<InstanceField
					field="petal_width"
					column="petal_width"/>
				<InstanceField
					field="class"
					column="class"/>
				<InstanceField
					field="$casecount"
					column="_casecount"/>
				<InstanceField
					field="$focalvariable"
					column="_focalvariable"/>
				<InstanceField
					field="$crossvalidation"
					column="_crossvalidation"/>
			</InstanceFields>
			<InlineTable>
				<row>
					<ID>1</ID>
					<sepal_length>5.1</sepal_length>
					<sepal_width>3.5</sepal_width>
					<petal_length>1.4</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>1</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>0</_crossvalidation>
				</row>
				<row>
					<ID>2</ID>
					<sepal_length>4.9</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>1.4</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>2</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>1</_crossvalidation>
				</row>
				<row>
					<ID>3</ID>
					<sepal_length>4.7</sepal_length>
					<sepal_width>3.2</sepal_width>
					<petal_length>1.3</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>3</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>2</_crossvalidation>
				</row>
				<row>
					<ID>4</ID>
					<sepal_length>5</sepal_length>
					<sepal_width>3.6</sepal_width>
					<petal_length>1.4</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>4</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>3</_crossvalidation>
				</row>
				<row>
					<ID>5</ID>
					<sepal_length>5.4</sepal_length>
					<sepal_width>3.9</sepal_width>
					<petal_length>1.7</petal_length>
					<petal_width>0.4</petal_width>
					<class>Iris-setosa</class>
					<_casecount>5</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>4</_crossvalidation>
				</row>
				<row>
					<ID>6</ID>
					<sepal_length>4.6</sepal_length>
					<sepal_width>3.4</sepal_width>
					<petal_length>1.4</petal_length>
					<petal_width>0.3</petal_width>
					<class>Iris-setosa</class>
					<_casecount>6</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>5</_crossvalidation>
				</row>
				<row>
					<ID>7</ID>
					<sepal_length>5</sepal_length>
					<sepal_width>3.4</sepal_width>
					<petal_length>1.5</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>7</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>6</_crossvalidation>
				</row>
				<row>
					<ID>8</ID>
					<sepal_length>4.4</sepal_length>
					<sepal_width>2.9</sepal_width>
					<petal_length>1.4</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>8</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>7</_crossvalidation>
				</row>
				<row>
					<ID>9</ID>
					<sepal_length>4.9</sepal_length>
					<sepal_width>3.1</sepal_width>
					<petal_length>1.5</petal_length>
					<petal_width>0.1</petal_width>
					<class>Iris-setosa</class>
					<_casecount>9</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>8</_crossvalidation>
				</row>
				<row>
					<ID>10</ID>
					<sepal_length>5.4</sepal_length>
					<sepal_width>3.7</sepal_width>
					<petal_length>1.5</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>10</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>9</_crossvalidation>
				</row>
				<row>
					<ID>11</ID>
					<sepal_length>4.8</sepal_length>
					<sepal_width>3.4</sepal_width>
					<petal_length>1.6</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>11</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>1</_crossvalidation>
				</row>
				<row>
					<ID>12</ID>
					<sepal_length>4.3</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>1.1</petal_length>
					<petal_width>0.1</petal_width>
					<class>Iris-setosa</class>
					<_casecount>12</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>5</_crossvalidation>
				</row>
				<row>
					<ID>13</ID>
					<sepal_length>5.4</sepal_length>
					<sepal_width>3.9</sepal_width>
					<petal_length>1.3</petal_length>
					<petal_width>0.4</petal_width>
					<class>Iris-setosa</class>
					<_casecount>13</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>6</_crossvalidation>
				</row>
				<row>
					<ID>14</ID>
					<sepal_length>5.1</sepal_length>
					<sepal_width>3.5</sepal_width>
					<petal_length>1.4</petal_length>
					<petal_width>0.3</petal_width>
					<class>Iris-setosa</class>
					<_casecount>14</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>5</_crossvalidation>
				</row>
				<row>
					<ID>15</ID>
					<sepal_length>5.7</sepal_length>
					<sepal_width>3.8</sepal_width>
					<petal_length>1.7</petal_length>
					<petal_width>0.3</petal_width>
					<class>Iris-setosa</class>
					<_casecount>15</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>7</_crossvalidation>
				</row>
				<row>
					<ID>16</ID>
					<sepal_length>5.1</sepal_length>
					<sepal_width>3.8</sepal_width>
					<petal_length>1.5</petal_length>
					<petal_width>0.3</petal_width>
					<class>Iris-setosa</class>
					<_casecount>16</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>6</_crossvalidation>
				</row>
				<row>
					<ID>17</ID>
					<sepal_length>5.4</sepal_length>
					<sepal_width>3.4</sepal_width>
					<petal_length>1.7</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>17</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>3</_crossvalidation>
				</row>
				<row>
					<ID>18</ID>
					<sepal_length>4.6</sepal_length>
					<sepal_width>3.6</sepal_width>
					<petal_length>1</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>18</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>7</_crossvalidation>
				</row>
				<row>
					<ID>19</ID>
					<sepal_length>5.1</sepal_length>
					<sepal_width>3.3</sepal_width>
					<petal_length>1.7</petal_length>
					<petal_width>0.5</petal_width>
					<class>Iris-setosa</class>
					<_casecount>19</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>9</_crossvalidation>
				</row>
				<row>
					<ID>20</ID>
					<sepal_length>4.8</sepal_length>
					<sepal_width>3.4</sepal_width>
					<petal_length>1.9</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>20</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>4</_crossvalidation>
				</row>
				<row>
					<ID>21</ID>
					<sepal_length>5</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>1.6</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>21</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>0</_crossvalidation>
				</row>
				<row>
					<ID>22</ID>
					<sepal_length>5.2</sepal_length>
					<sepal_width>3.4</sepal_width>
					<petal_length>1.4</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>22</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>2</_crossvalidation>
				</row>
				<row>
					<ID>23</ID>
					<sepal_length>4.7</sepal_length>
					<sepal_width>3.2</sepal_width>
					<petal_length>1.6</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>23</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>1</_crossvalidation>
				</row>
				<row>
					<ID>24</ID>
					<sepal_length>4.8</sepal_length>
					<sepal_width>3.1</sepal_width>
					<petal_length>1.6</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>24</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>3</_crossvalidation>
				</row>
				<row>
					<ID>25</ID>
					<sepal_length>5.4</sepal_length>
					<sepal_width>3.4</sepal_width>
					<petal_length>1.5</petal_length>
					<petal_width>0.4</petal_width>
					<class>Iris-setosa</class>
					<_casecount>25</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>9</_crossvalidation>
				</row>
				<row>
					<ID>26</ID>
					<sepal_length>5.2</sepal_length>
					<sepal_width>4.1</sepal_width>
					<petal_length>1.5</petal_length>
					<petal_width>0.1</petal_width>
					<class>Iris-setosa</class>
					<_casecount>26</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>6</_crossvalidation>
				</row>
				<row>
					<ID>27</ID>
					<sepal_length>5.5</sepal_length>
					<sepal_width>4.2</sepal_width>
					<petal_length>1.4</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>27</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>1</_crossvalidation>
				</row>
				<row>
					<ID>28</ID>
					<sepal_length>5.5</sepal_length>
					<sepal_width>3.5</sepal_width>
					<petal_length>1.3</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>28</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>4</_crossvalidation>
				</row>
				<row>
					<ID>29</ID>
					<sepal_length>4.9</sepal_length>
					<sepal_width>3.1</sepal_width>
					<petal_length>1.5</petal_length>
					<petal_width>0.1</petal_width>
					<class>Iris-setosa</class>
					<_casecount>29</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>2</_crossvalidation>
				</row>
				<row>
					<ID>30</ID>
					<sepal_length>5.1</sepal_length>
					<sepal_width>3.4</sepal_width>
					<petal_length>1.5</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>30</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>9</_crossvalidation>
				</row>
				<row>
					<ID>31</ID>
					<sepal_length>5</sepal_length>
					<sepal_width>3.5</sepal_width>
					<petal_length>1.3</petal_length>
					<petal_width>0.3</petal_width>
					<class>Iris-setosa</class>
					<_casecount>31</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>5</_crossvalidation>
				</row>
				<row>
					<ID>32</ID>
					<sepal_length>4.5</sepal_length>
					<sepal_width>2.3</sepal_width>
					<petal_length>1.3</petal_length>
					<petal_width>0.3</petal_width>
					<class>Iris-setosa</class>
					<_casecount>32</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>7</_crossvalidation>
				</row>
				<row>
					<ID>33</ID>
					<sepal_length>5</sepal_length>
					<sepal_width>3.5</sepal_width>
					<petal_length>1.6</petal_length>
					<petal_width>0.6</petal_width>
					<class>Iris-setosa</class>
					<_casecount>33</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>3</_crossvalidation>
				</row>
				<row>
					<ID>34</ID>
					<sepal_length>5.1</sepal_length>
					<sepal_width>3.8</sepal_width>
					<petal_length>1.9</petal_length>
					<petal_width>0.4</petal_width>
					<class>Iris-setosa</class>
					<_casecount>34</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>1</_crossvalidation>
				</row>
				<row>
					<ID>35</ID>
					<sepal_length>5.1</sepal_length>
					<sepal_width>3.8</sepal_width>
					<petal_length>1.6</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>35</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>2</_crossvalidation>
				</row>
				<row>
					<ID>36</ID>
					<sepal_length>5</sepal_length>
					<sepal_width>3.3</sepal_width>
					<petal_length>1.4</petal_length>
					<petal_width>0.2</petal_width>
					<class>Iris-setosa</class>
					<_casecount>36</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>5</_crossvalidation>
				</row>
				<row>
					<ID>37</ID>
					<sepal_length>7</sepal_length>
					<sepal_width>3.2</sepal_width>
					<petal_length>4.7</petal_length>
					<petal_width>1.4</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>37</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>7</_crossvalidation>
				</row>
				<row>
					<ID>38</ID>
					<sepal_length>6.9</sepal_length>
					<sepal_width>3.1</sepal_width>
					<petal_length>4.9</petal_length>
					<petal_width>1.5</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>38</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>5</_crossvalidation>
				</row>
				<row>
					<ID>39</ID>
					<sepal_length>5.5</sepal_length>
					<sepal_width>2.3</sepal_width>
					<petal_length>4</petal_length>
					<petal_width>1.3</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>39</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>7</_crossvalidation>
				</row>
				<row>
					<ID>40</ID>
					<sepal_length>6.5</sepal_length>
					<sepal_width>2.8</sepal_width>
					<petal_length>4.6</petal_length>
					<petal_width>1.5</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>40</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>3</_crossvalidation>
				</row>
				<row>
					<ID>41</ID>
					<sepal_length>6.3</sepal_length>
					<sepal_width>3.3</sepal_width>
					<petal_length>4.7</petal_length>
					<petal_width>1.6</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>41</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>9</_crossvalidation>
				</row>
				<row>
					<ID>42</ID>
					<sepal_length>4.9</sepal_length>
					<sepal_width>2.4</sepal_width>
					<petal_length>3.3</petal_length>
					<petal_width>1</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>42</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>2</_crossvalidation>
				</row>
				<row>
					<ID>43</ID>
					<sepal_length>6.6</sepal_length>
					<sepal_width>2.9</sepal_width>
					<petal_length>4.6</petal_length>
					<petal_width>1.3</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>43</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>8</_crossvalidation>
				</row>
				<row>
					<ID>44</ID>
					<sepal_length>5.9</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>4.2</petal_length>
					<petal_width>1.5</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>44</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>9</_crossvalidation>
				</row>
				<row>
					<ID>45</ID>
					<sepal_length>6.1</sepal_length>
					<sepal_width>2.9</sepal_width>
					<petal_length>4.7</petal_length>
					<petal_width>1.4</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>45</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>5</_crossvalidation>
				</row>
				<row>
					<ID>46</ID>
					<sepal_length>5.6</sepal_length>
					<sepal_width>2.9</sepal_width>
					<petal_length>3.6</petal_length>
					<petal_width>1.3</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>46</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>4</_crossvalidation>
				</row>
				<row>
					<ID>47</ID>
					<sepal_length>6.7</sepal_length>
					<sepal_width>3.1</sepal_width>
					<petal_length>4.4</petal_length>
					<petal_width>1.4</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>47</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>8</_crossvalidation>
				</row>
				<row>
					<ID>48</ID>
					<sepal_length>5.6</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>4.5</petal_length>
					<petal_width>1.5</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>48</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>5</_crossvalidation>
				</row>
				<row>
					<ID>49</ID>
					<sepal_length>5.8</sepal_length>
					<sepal_width>2.7</sepal_width>
					<petal_length>4.1</petal_length>
					<petal_width>1</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>49</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>5</_crossvalidation>
				</row>
				<row>
					<ID>50</ID>
					<sepal_length>5.6</sepal_length>
					<sepal_width>2.5</sepal_width>
					<petal_length>3.9</petal_length>
					<petal_width>1.1</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>50</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>7</_crossvalidation>
				</row>
				<row>
					<ID>51</ID>
					<sepal_length>5.9</sepal_length>
					<sepal_width>3.2</sepal_width>
					<petal_length>4.8</petal_length>
					<petal_width>1.8</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>51</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>1</_crossvalidation>
				</row>
				<row>
					<ID>52</ID>
					<sepal_length>6.1</sepal_length>
					<sepal_width>2.8</sepal_width>
					<petal_length>4</petal_length>
					<petal_width>1.3</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>52</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>6</_crossvalidation>
				</row>
				<row>
					<ID>53</ID>
					<sepal_length>6.3</sepal_length>
					<sepal_width>2.5</sepal_width>
					<petal_length>4.9</petal_length>
					<petal_width>1.5</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>53</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>7</_crossvalidation>
				</row>
				<row>
					<ID>54</ID>
					<sepal_length>6.1</sepal_length>
					<sepal_width>2.8</sepal_width>
					<petal_length>4.7</petal_length>
					<petal_width>1.2</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>54</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>5</_crossvalidation>
				</row>
				<row>
					<ID>55</ID>
					<sepal_length>5.7</sepal_length>
					<sepal_width>2.6</sepal_width>
					<petal_length>3.5</petal_length>
					<petal_width>1</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>55</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>3</_crossvalidation>
				</row>
				<row>
					<ID>56</ID>
					<sepal_length>5.5</sepal_length>
					<sepal_width>2.4</sepal_width>
					<petal_length>3.8</petal_length>
					<petal_width>1.1</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>56</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>9</_crossvalidation>
				</row>
				<row>
					<ID>57</ID>
					<sepal_length>5.5</sepal_length>
					<sepal_width>2.4</sepal_width>
					<petal_length>3.7</petal_length>
					<petal_width>1</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>57</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>4</_crossvalidation>
				</row>
				<row>
					<ID>58</ID>
					<sepal_length>6</sepal_length>
					<sepal_width>2.7</sepal_width>
					<petal_length>5.1</petal_length>
					<petal_width>1.6</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>58</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>1</_crossvalidation>
				</row>
				<row>
					<ID>59</ID>
					<sepal_length>5.4</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>4.5</petal_length>
					<petal_width>1.5</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>59</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>5</_crossvalidation>
				</row>
				<row>
					<ID>60</ID>
					<sepal_length>6</sepal_length>
					<sepal_width>3.4</sepal_width>
					<petal_length>4.5</petal_length>
					<petal_width>1.6</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>60</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>0</_crossvalidation>
				</row>
				<row>
					<ID>61</ID>
					<sepal_length>6.3</sepal_length>
					<sepal_width>2.3</sepal_width>
					<petal_length>4.4</petal_length>
					<petal_width>1.3</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>61</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>1</_crossvalidation>
				</row>
				<row>
					<ID>62</ID>
					<sepal_length>5.6</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>4.1</petal_length>
					<petal_width>1.3</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>62</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>8</_crossvalidation>
				</row>
				<row>
					<ID>63</ID>
					<sepal_length>5.5</sepal_length>
					<sepal_width>2.5</sepal_width>
					<petal_length>4</petal_length>
					<petal_width>1.3</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>63</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>2</_crossvalidation>
				</row>
				<row>
					<ID>64</ID>
					<sepal_length>5.5</sepal_length>
					<sepal_width>2.6</sepal_width>
					<petal_length>4.4</petal_length>
					<petal_width>1.2</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>64</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>9</_crossvalidation>
				</row>
				<row>
					<ID>65</ID>
					<sepal_length>6.1</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>4.6</petal_length>
					<petal_width>1.4</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>65</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>7</_crossvalidation>
				</row>
				<row>
					<ID>66</ID>
					<sepal_length>5</sepal_length>
					<sepal_width>2.3</sepal_width>
					<petal_length>3.3</petal_length>
					<petal_width>1</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>66</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>3</_crossvalidation>
				</row>
				<row>
					<ID>67</ID>
					<sepal_length>5.7</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>4.2</petal_length>
					<petal_width>1.2</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>67</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>0</_crossvalidation>
				</row>
				<row>
					<ID>68</ID>
					<sepal_length>5.7</sepal_length>
					<sepal_width>2.9</sepal_width>
					<petal_length>4.2</petal_length>
					<petal_width>1.3</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>68</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>0</_crossvalidation>
				</row>
				<row>
					<ID>69</ID>
					<sepal_length>5.1</sepal_length>
					<sepal_width>2.5</sepal_width>
					<petal_length>3</petal_length>
					<petal_width>1.1</petal_width>
					<class>Iris-versicolor</class>
					<_casecount>69</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>1</_crossvalidation>
				</row>
				<row>
					<ID>70</ID>
					<sepal_length>6.3</sepal_length>
					<sepal_width>3.3</sepal_width>
					<petal_length>6</petal_length>
					<petal_width>2.5</petal_width>
					<class>Iris-virginica</class>
					<_casecount>70</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>4</_crossvalidation>
				</row>
				<row>
					<ID>71</ID>
					<sepal_length>5.8</sepal_length>
					<sepal_width>2.7</sepal_width>
					<petal_length>5.1</petal_length>
					<petal_width>1.9</petal_width>
					<class>Iris-virginica</class>
					<_casecount>71</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>1</_crossvalidation>
				</row>
				<row>
					<ID>72</ID>
					<sepal_length>7.1</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>5.9</petal_length>
					<petal_width>2.1</petal_width>
					<class>Iris-virginica</class>
					<_casecount>72</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>0</_crossvalidation>
				</row>
				<row>
					<ID>73</ID>
					<sepal_length>6.3</sepal_length>
					<sepal_width>2.9</sepal_width>
					<petal_length>5.6</petal_length>
					<petal_width>1.8</petal_width>
					<class>Iris-virginica</class>
					<_casecount>73</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>4</_crossvalidation>
				</row>
				<row>
					<ID>74</ID>
					<sepal_length>6.5</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>5.8</petal_length>
					<petal_width>2.2</petal_width>
					<class>Iris-virginica</class>
					<_casecount>74</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>4</_crossvalidation>
				</row>
				<row>
					<ID>75</ID>
					<sepal_length>7.6</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>6.6</petal_length>
					<petal_width>2.1</petal_width>
					<class>Iris-virginica</class>
					<_casecount>75</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>7</_crossvalidation>
				</row>
				<row>
					<ID>76</ID>
					<sepal_length>4.9</sepal_length>
					<sepal_width>2.5</sepal_width>
					<petal_length>4.5</petal_length>
					<petal_width>1.7</petal_width>
					<class>Iris-virginica</class>
					<_casecount>76</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>5</_crossvalidation>
				</row>
				<row>
					<ID>77</ID>
					<sepal_length>7.3</sepal_length>
					<sepal_width>2.9</sepal_width>
					<petal_length>6.3</petal_length>
					<petal_width>1.8</petal_width>
					<class>Iris-virginica</class>
					<_casecount>77</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>4</_crossvalidation>
				</row>
				<row>
					<ID>78</ID>
					<sepal_length>6.7</sepal_length>
					<sepal_width>2.5</sepal_width>
					<petal_length>5.8</petal_length>
					<petal_width>1.8</petal_width>
					<class>Iris-virginica</class>
					<_casecount>78</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>0</_crossvalidation>
				</row>
				<row>
					<ID>79</ID>
					<sepal_length>6.5</sepal_length>
					<sepal_width>3.2</sepal_width>
					<petal_length>5.1</petal_length>
					<petal_width>2</petal_width>
					<class>Iris-virginica</class>
					<_casecount>79</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>6</_crossvalidation>
				</row>
				<row>
					<ID>80</ID>
					<sepal_length>6.4</sepal_length>
					<sepal_width>2.7</sepal_width>
					<petal_length>5.3</petal_length>
					<petal_width>1.9</petal_width>
					<class>Iris-virginica</class>
					<_casecount>80</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>0</_crossvalidation>
				</row>
				<row>
					<ID>81</ID>
					<sepal_length>5.7</sepal_length>
					<sepal_width>2.5</sepal_width>
					<petal_length>5</petal_length>
					<petal_width>2</petal_width>
					<class>Iris-virginica</class>
					<_casecount>81</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>2</_crossvalidation>
				</row>
				<row>
					<ID>82</ID>
					<sepal_length>5.8</sepal_length>
					<sepal_width>2.8</sepal_width>
					<petal_length>5.1</petal_length>
					<petal_width>2.4</petal_width>
					<class>Iris-virginica</class>
					<_casecount>82</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>8</_crossvalidation>
				</row>
				<row>
					<ID>83</ID>
					<sepal_length>6.5</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>5.5</petal_length>
					<petal_width>1.8</petal_width>
					<class>Iris-virginica</class>
					<_casecount>83</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>1</_crossvalidation>
				</row>
				<row>
					<ID>84</ID>
					<sepal_length>7.7</sepal_length>
					<sepal_width>2.6</sepal_width>
					<petal_length>6.9</petal_length>
					<petal_width>2.3</petal_width>
					<class>Iris-virginica</class>
					<_casecount>84</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>2</_crossvalidation>
				</row>
				<row>
					<ID>85</ID>
					<sepal_length>6</sepal_length>
					<sepal_width>2.2</sepal_width>
					<petal_length>5</petal_length>
					<petal_width>1.5</petal_width>
					<class>Iris-virginica</class>
					<_casecount>85</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>0</_crossvalidation>
				</row>
				<row>
					<ID>86</ID>
					<sepal_length>6.9</sepal_length>
					<sepal_width>3.2</sepal_width>
					<petal_length>5.7</petal_length>
					<petal_width>2.3</petal_width>
					<class>Iris-virginica</class>
					<_casecount>86</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>6</_crossvalidation>
				</row>
				<row>
					<ID>87</ID>
					<sepal_length>5.6</sepal_length>
					<sepal_width>2.8</sepal_width>
					<petal_length>4.9</petal_length>
					<petal_width>2</petal_width>
					<class>Iris-virginica</class>
					<_casecount>87</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>9</_crossvalidation>
				</row>
				<row>
					<ID>88</ID>
					<sepal_length>6.3</sepal_length>
					<sepal_width>2.7</sepal_width>
					<petal_length>4.9</petal_length>
					<petal_width>1.8</petal_width>
					<class>Iris-virginica</class>
					<_casecount>88</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>2</_crossvalidation>
				</row>
				<row>
					<ID>89</ID>
					<sepal_length>7.2</sepal_length>
					<sepal_width>3.2</sepal_width>
					<petal_length>6</petal_length>
					<petal_width>1.8</petal_width>
					<class>Iris-virginica</class>
					<_casecount>89</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>0</_crossvalidation>
				</row>
				<row>
					<ID>90</ID>
					<sepal_length>7.2</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>5.8</petal_length>
					<petal_width>1.6</petal_width>
					<class>Iris-virginica</class>
					<_casecount>90</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>1</_crossvalidation>
				</row>
				<row>
					<ID>91</ID>
					<sepal_length>7.4</sepal_length>
					<sepal_width>2.8</sepal_width>
					<petal_length>6.1</petal_length>
					<petal_width>1.9</petal_width>
					<class>Iris-virginica</class>
					<_casecount>91</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>9</_crossvalidation>
				</row>
				<row>
					<ID>92</ID>
					<sepal_length>6.3</sepal_length>
					<sepal_width>2.8</sepal_width>
					<petal_length>5.1</petal_length>
					<petal_width>1.5</petal_width>
					<class>Iris-virginica</class>
					<_casecount>92</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>9</_crossvalidation>
				</row>
				<row>
					<ID>93</ID>
					<sepal_length>6.1</sepal_length>
					<sepal_width>2.6</sepal_width>
					<petal_length>5.6</petal_length>
					<petal_width>1.4</petal_width>
					<class>Iris-virginica</class>
					<_casecount>93</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>7</_crossvalidation>
				</row>
				<row>
					<ID>94</ID>
					<sepal_length>7.7</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>6.1</petal_length>
					<petal_width>2.3</petal_width>
					<class>Iris-virginica</class>
					<_casecount>94</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>5</_crossvalidation>
				</row>
				<row>
					<ID>95</ID>
					<sepal_length>6.3</sepal_length>
					<sepal_width>3.4</sepal_width>
					<petal_length>5.6</petal_length>
					<petal_width>2.4</petal_width>
					<class>Iris-virginica</class>
					<_casecount>95</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>1</_crossvalidation>
				</row>
				<row>
					<ID>96</ID>
					<sepal_length>6</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>4.8</petal_length>
					<petal_width>1.8</petal_width>
					<class>Iris-virginica</class>
					<_casecount>96</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>2</_crossvalidation>
				</row>
				<row>
					<ID>97</ID>
					<sepal_length>6.9</sepal_length>
					<sepal_width>3.1</sepal_width>
					<petal_length>5.4</petal_length>
					<petal_width>2.1</petal_width>
					<class>Iris-virginica</class>
					<_casecount>97</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>6</_crossvalidation>
				</row>
				<row>
					<ID>98</ID>
					<sepal_length>6.9</sepal_length>
					<sepal_width>3.1</sepal_width>
					<petal_length>5.1</petal_length>
					<petal_width>2.3</petal_width>
					<class>Iris-virginica</class>
					<_casecount>98</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>2</_crossvalidation>
				</row>
				<row>
					<ID>99</ID>
					<sepal_length>6.8</sepal_length>
					<sepal_width>3.2</sepal_width>
					<petal_length>5.9</petal_length>
					<petal_width>2.3</petal_width>
					<class>Iris-virginica</class>
					<_casecount>99</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>3</_crossvalidation>
				</row>
				<row>
					<ID>100</ID>
					<sepal_length>6.7</sepal_length>
					<sepal_width>3.3</sepal_width>
					<petal_length>5.7</petal_length>
					<petal_width>2.5</petal_width>
					<class>Iris-virginica</class>
					<_casecount>100</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>2</_crossvalidation>
				</row>
				<row>
					<ID>101</ID>
					<sepal_length>6.7</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>5.2</petal_length>
					<petal_width>2.3</petal_width>
					<class>Iris-virginica</class>
					<_casecount>101</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>8</_crossvalidation>
				</row>
				<row>
					<ID>102</ID>
					<sepal_length>6.2</sepal_length>
					<sepal_width>3.4</sepal_width>
					<petal_length>5.4</petal_length>
					<petal_width>2.3</petal_width>
					<class>Iris-virginica</class>
					<_casecount>102</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>5</_crossvalidation>
				</row>
				<row>
					<ID>103</ID>
					<sepal_length>5.9</sepal_length>
					<sepal_width>3</sepal_width>
					<petal_length>5.1</petal_length>
					<petal_width>1.8</petal_width>
					<class>Iris-virginica</class>
					<_casecount>103</_casecount>
					<_focalvariable>0</_focalvariable>
					<_crossvalidation>0</_crossvalidation>
				</row>
			</InlineTable>
		</TrainingInstances>
		<ComparisonMeasure
			kind="distance">
			<euclidean/>
		</ComparisonMeasure>
		<KNNInputs>
			<KNNInput
				field="norm_sepal_length"
				compareFunction="absDiff"/>
			<KNNInput
				field="norm_sepal_width"
				compareFunction="absDiff"/>
			<KNNInput
				field="norm_petal_length"
				compareFunction="absDiff"/>
			<KNNInput
				field="norm_petal_width"
				compareFunction="absDiff"/>
		</KNNInputs>
	</NearestNeighborModel>
</PMML>